#!/bin/sh

if [ -x /sbin/chkconfig ]		# RedHat + Mandrake
then
	/sbin/chkconfig --del dsr
elif [ -x /sbin/rc-update ]		# Gentoo
then
	/sbin/rc-update del dsr
elif [ -x /usr/sbin/update-rc.d ]	# Debian
then
	/usr/sbin/update-rc.d -f dsr remove
else
	echo "Les Scripts de dmarrage n'ont pas t supprim automatiquement"
	echo "Pour que Data Safe Restore ne se lance plus au dmarrage de votre machine"
	echo "supprimez /etc/init.d/dsr start de vos scripts de dmarrage"
fi

/etc/init.d/dsr stop

rm /etc/init.d/dsr

if [ -d /usr/local/dsr ]
then
	rm -Rf /usr/local/dsr
fi

echo "Desinstallation Data Safe Restore Client termine"
